<?php echo view('includes/sidebar'); ?>
        <script type="text/javascript" src="<?php echo base_url('public/assets/js/jquery-3.6.0.min.js'); ?>"></script>
        <script src="<?php echo base_url('public/assets/toastr/toastr.min.js');?>"></script>
        <link rel="stylesheet" href="<?php echo base_url('public/assets/toastr/toastr.min.css');?>">
        <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
        <!-- <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script> -->
        <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
        <link rel="stylesheet" href="<?php echo base_url('public/assets/css/createproject.css');?>">
        <link rel="stylesheet" href="<?php echo base_url('public/assets/css/font-awesome.min.css');?>">
        <link rel="stylesheet" href="<?php echo base_url('public/assets/css/bootstrap.min.css');?>">
        <link rel="stylesheet" href="<?php echo base_url('public/assets/css/sidebar.css');?>">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

        <link rel="stylesheet" href="<?php echo base_url('public/assets/images/constituency.png');?>">
        <link rel="stylesheet" href="<?php echo base_url('public/assets/images/Logo.png');?>">
        <link rel="stylesheet" href="<?php echo base_url('public/assets/images/employee.png');?>">
 
    
   
<section class="home-section">
    <div class="home-content">
        <i class='bx bx-menu'></i>
        <!-- <span class="text">Drop Down Sidebar</span> -->
    </div>
    <div class="row m-0">
        <div class="col-sm-12">
            <h1 class="crt-pjt">EDIT Project</h1>
        </div>
    </div>

    <style>
        .inpfieldname {
            font-family: Poppins;
            font-size: 18px;
            font-weight: 500;
            text-align: left;
            color: #1F1F21;

        }
        .plus{
        background-color:transparent !important;
        padding:2px;
        margin:15px 15px;

        }
        .fieldsbox {
            border-radius: 23px !important;
            padding: 5px 10px !important;
            height: 45px;
            width: 85%
        }

        .projdetail {
            margin-inline: auto;
            margin-top: 15px;
        }

        .constuency_page {
            width: 100%;
            padding: 20px 16px;
        }

        .textfields {
        border-radius: 14px;
    }

        .file-list {
            display: flex;
            flex-wrap: wrap;
            /* Allows items to wrap to the next line if needed */
            margin-top: 10px;
            gap: 3px
        }

        .file-item {
            display: flex;
            align-items: center;
            margin-right: 10px;
            font-size: 14px;
            /* Space between items */
            background: #fff;
            /* Background color for visibility */
            padding: 5px 10px;
            border-radius: 5px;
            /* Rounded corners */
        }

        .delete-icon {
            margin-left: 8px;
            cursor: pointer;
            /* Show pointer on hover */
        }

        .mul {
            font-size: 14px;
            color: red
        }
        @media (min-width: 768px) and (max-width: 1024px) {
       

        .inpfieldname {
            font-size: 15px;
        }
        .fieldsbox {
            border-radius: 23px !important;
            padding: 5px 10px !important;
            height: 45px;
            width: 100%;
        }
     
    }

    @media only screen and (max-width:620px) {
        .fieldsbox {
            width: 100%
        }

      

        .home-section {
            height: 100%
        }
    }


    </style>
    <!-- forms -->
    <form id="project-edit-form"  >
    <div class="createproject">
        <div class="row projdetail">
    
        <div class="col-sm-4">
        <label class="form-label inpfieldname" for="ReleaseAmount">Released Amount</label>
        <?php if (!empty($releasedAmounts)): ?>
            <?php foreach ($releasedAmounts as $index => $releasedAmountData): ?>
                <div class="input-group mb-2" id="released-amount-<?= $index; ?>">
                    <input type="number" name="released_amount[]" class="form-control fieldsbox" id="ReleaseAmount" min="0" value="<?= $releasedAmountData['released_amount'] ?>">
                    <input type="date" name="released_date[]" class="form-control fieldsbox ml-2" id="ReleaseDate" value="<?= $releasedAmountData['released_date'] ?>">
                    <i class="fa fa-minus-square-o remove-field removeReleasedAmount" aria-hidden="true" style="cursor: pointer;" data-index="<?= $index; ?>"></i>
                </div>
            <?php endforeach; ?>
        <?php else: ?>
            <div class="input-group mb-2" id="released-amount-0">
           
                <input type="number" name="released_amount[]" class="form-control fieldsbox" id="ReleaseAmount" min="0">
                <input type="date" name="released_date[]" class="form-control fieldsbox ml-2" id="ReleaseDate">
                <i class="fa fa-minus-square-o remove-field removeReleasedAmount" aria-hidden="true" style="cursor: pointer;" data-index="0"></i>
            </div>
        <?php endif; ?>
        <i class="fa fa-plus-square-o" aria-hidden="true" id="add-more-field" style="cursor: pointer;"></i>
        <div id="file-add-div3"></div>
    </div>
    <div class="col-sm-3"></div>
    <div class="col-sm-4">
        <label for="Expenditure" class="form-label inpfieldname">Expenditure</label>
        <?php if (!empty($expenditures)): ?>
            <?php foreach ($expenditures as $index => $expenditureData): ?>
                <div class="input-group mb-2" id="expenditure-<?= $index; ?>">
                    <input type="number" name="expenditure[]" class="form-control fieldsbox" id="Expenditure" min="0" value="<?= $expenditureData['expenditure_amount'] ?>">
                    <input type="date" name="expenditure_date[]" class="form-control fieldsbox ml-2" id="ExpenditureDate" value="<?= $expenditureData['expenditure_date'] ?>">
                    <i class="fa fa-minus-square-o remove-field removeExpenditure" aria-hidden="true" style="cursor: pointer;" data-index="<?= $index; ?>"></i>
                </div>
            <?php endforeach; ?>
        <?php else: ?>
            <div class="input-group mb-2" id="expenditure-0">
                <input type="number" name="expenditure[]" class="form-control fieldsbox" id="Expenditure" min="0">
                <input type="date" name="expenditure_date[]" class="form-control fieldsbox ml-2" id="ExpenditureDate">
                <i class="fa fa-minus-square-o remove-field removeExpenditure" aria-hidden="true" style="cursor: pointer;" data-index="0"></i>
            </div>
        <?php endif; ?>
        <i class="fa fa-plus-square-o" aria-hidden="true" id="add-more-expenditure-field" style="cursor: pointer;"></i>
        <div id="expenditure-add-div"></div>
    </div>
    <div class="col-sm-1"></div>
        </div>



<div class="row projdetail">

    
</div>
<!-- --------------------------------- -->

        <!-- Seventh Row -->
       

        <!-- Eighth Row -->
        <div class="projdetail row">

            <div class="col-sm-8">
                <label for="Remarks" class="form-label inpfieldname">Remarks</label><br>
                <textarea name="remarks_payment" id="Remarks" class="form-control textfields" required><?= isset($project['remarks']) ? $project['remarks'] : '' ?></textarea>
            </div>
        </div>

        <!-- Button Row -->
        <div class="row">
     
            <div class="col-sm-6 buttns-cnl">
                <button type="submit" class="submit">Submit</button>
                <button type="button" id="btn-cancel" class="cancel">Cancel</button>
            </div>
        </div>
    </div>
</form>


<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.all.min.js"></script>
<link href="https://cdn.jsdelivr.net/npm/sweetalert2@11.10.8/dist/sweetalert2.min.css" rel="stylesheet">

<script>
$(document).ready(function() {
    $('#project-edit-form').submit(function(e) {
        e.preventDefault();
        var formData = new FormData($(this)[0]);
        $.ajax({
            url: "<?php echo base_url('project-update-payment/' . $project['id']) ?>",
            type: "POST", 
            data: formData, 
            processData: false, 
            contentType: false, 
            success: function(response) {
      
                if (response.result === 1) {
                    Swal.fire({
                        icon: "success",
                        title: response.message,
                        showConfirmButton: false,
                        timer: 2000
                    });
               
                    window.location.href = '<?php echo base_url("projectlist"); ?>';
                } else {
                   
                    alert(response.message);
                }
            },
            error: function(xhr, status, error) {
                
                alert('An error occurred: ' + xhr.responseText);
            }
        });
    });
});
</script>

<script>
$(document).on('click', '.removeReleasedAmount', function() {
    var index = $(this).data('index');
    var releasedAmountValue = $('#released-amount-' + index + ' input').val();

    if (confirm('Are you sure you want to delete this released amount?')) {
        $.ajax({
            url: '<?= base_url("project/delete_released_amount"); ?>',
            type: 'POST',
            data: {
                project_id: <?= $project['id'] ?>,
                released_amount: releasedAmountValue,
                '<?= csrf_token() ?>': '<?= csrf_hash() ?>' 
            },
            success: function(response) {
                if (response.success) {
                    $('#released-amount-' + index).remove();
                    alert('Released amount deleted successfully.');
                } else {
                    alert('Error deleting released amount: ' + response.message);
                }
            },
            error: function(xhr, status, error) {
                console.error('Error:', error);
            }
        });
    }
});
</script>


<script>
    $(document).on('click', '.removeExpenditure', function() {
        var index = $(this).data('index');
        var expenditureValue = $('#expenditure-' + index + ' input').val();

        if (confirm('Are you sure you want to delete this expenditure amount?')) {
            $.ajax({
                url: '<?= base_url("project/delete-expenditure-amount"); ?>',
                type: 'POST',
                data: {
                    project_id: <?= $project['id'] ?>,
                    expenditure_amount: expenditureValue,
                    '<?= csrf_token() ?>': '<?= csrf_hash() ?>' 
                },
                success: function(response) {
                    if (response.success) {
                        $('#expenditure-' + index).remove();
                        alert('Expenditure amount deleted successfully.');
                    } else {
                        alert('Error deleting expenditure amount: ' + response.message);
                    }
                },
                error: function(xhr, status, error) {
                    console.error('Error:', error);
                }
            });
        }
    });
</script>



<script>
    $(document).ready(function(){
 $('#btn-cancel').click(function(e){
    e.preventDefault();
    window.location.href = '<?php echo base_url("projectlist"); ?>';
 });
});
</script>






<script>
let moreField = document.querySelector("#add-more-field");
let fileDiv3 = document.querySelector("#file-add-div3");

moreField.addEventListener("click", function () {

    var inputContainer3 = document.createElement('div');
    inputContainer3.classList.add('input-group', 'mb-2');

   
    var amountInput = document.createElement('input');
    amountInput.classList.add('form-control', 'fieldsbox');
    amountInput.type = 'number'; 
    amountInput.name = 'released_amount[]';
    amountInput.min = '0'; 

  
    var dateInput = document.createElement('input');
    dateInput.classList.add('form-control', 'fieldsbox', 'ml-2'); 
    dateInput.type = 'date';
    dateInput.name = 'released_date[]'; 

    var removeIcon3 = document.createElement('i');
    removeIcon3.classList.add('fa', 'fa-minus-square', 'remove-file-icon');
    removeIcon3.style.cursor = 'pointer';
    removeIcon3.style.marginLeft = '15px'; 
    removeIcon3.style.marginTop = '15px'; 


    removeIcon3.addEventListener("click", function () {
        fileDiv3.removeChild(inputContainer3);
    });


    inputContainer3.appendChild(amountInput);
    inputContainer3.appendChild(dateInput);
    inputContainer3.appendChild(removeIcon3);
    fileDiv3.appendChild(inputContainer3);
});


let addMoreExpenditureField = document.querySelector("#add-more-expenditure-field");
let expenditureDiv = document.querySelector("#expenditure-add-div");

addMoreExpenditureField.addEventListener("click", function () {
    var expenditureContainer = document.createElement('div');
    expenditureContainer.classList.add('input-group', 'mb-2');

    var expenditureInput = document.createElement('input');
    expenditureInput.classList.add('form-control', 'fieldsbox');
    expenditureInput.type = 'number'; 
    expenditureInput.name = 'expenditure[]';
    expenditureInput.min = '0'; 

    var expenditureDateInput = document.createElement('input');
    expenditureDateInput.classList.add('form-control', 'fieldsbox', 'ml-2'); 
    expenditureDateInput.type = 'date';
    expenditureDateInput.name = 'expenditure_date[]'; 

    var removeExpenditureIcon = document.createElement('i');
    removeExpenditureIcon.classList.add('fa', 'fa-minus-square', 'remove-file-icon');
    removeExpenditureIcon.style.cursor = 'pointer';
    removeExpenditureIcon.style.marginLeft = '15px'; 
    removeExpenditureIcon.style.marginTop = '15px'; 

    removeExpenditureIcon.addEventListener("click", function () {
        expenditureDiv.removeChild(expenditureContainer);
    });

    expenditureContainer.appendChild(expenditureInput);
    expenditureContainer.appendChild(expenditureDateInput);
    expenditureContainer.appendChild(removeExpenditureIcon);

    expenditureDiv.appendChild(expenditureContainer);
});
</script>




<script>
    let arrow = document.querySelectorAll(".arrow");
    for (var i = 0; i < arrow.length; i++) {
        arrow[i].addEventListener("click", (e) => {
            let arrowParent = e.target.parentElement.parentElement;
            arrowParent.classList.toggle("showMenu");
        });
    }
    let sidebar = document.querySelector(".sidebar");
    let sidebarBtn = document.querySelector(".bx-menu");
    console.log(sidebarBtn);
    sidebarBtn.addEventListener("click", () => {
        sidebar.classList.toggle("close");
    });
</script>




<?php echo view('includes/footer'); ?>