<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');
$routes->get('user/create', 'Login::createUserAndSendCredentials');
$routes->post('login','Login::login');


$routes->get('dashboard','Home::dashboard');
$routes->get('createproject','Home::project');
$routes->get('projectlist','Home::projectlist');
$routes->get('createConstituency','Home::constituency');
$routes->get('department','Home::department');
$routes->get('addemployee','Home::add_employee');
$routes->get('roles','Home::roles');
$routes->get('roleCreation','Home::roleCreation');


//create project
$routes->post('create-project','Project::create_project');
$routes->get('fetch-department','Project::fetch_department');
$routes->get('fetch-Constituency','Project::fetch_Constituency');
$routes->get('project-list-data','Project::project_list_data');
$routes->post('project-delete/(:num)','Project::project_delete/$1');
$routes->get('project-edit/(:num)','Project::project_edit/$1');


//create department
$routes->post('create_department','Department::create_department');
$routes->get('department-list-data','Department::department_list_data');
$routes->post('department-delete/(:num)','Department::department_delete/$1');
$routes->get('edit-department-data/(:num)','Department::edit_department_data/$1');
$routes->post('update-department','Department::update_department');


$routes->post('create-constituency','Constituency::create_constituency');
$routes->get('constituency-list-data','Constituency::constituency_list_data');
$routes->post('constituency-delete/(:num)','Constituency::constituency_delete/$1');
$routes->get('edit-constituency-data/(:num)','Constituency::edit_constituency_data/$1');
$routes->post('update-constituency','Constituency::update_constituency');





$routes->post('create-constituency','Constituency::create_constituency');




$routes->post('add-roles','Roles::add_roles');
$routes->get('fetch-roles','Roles::fetch_roles');
$routes->get('fetch-roles-data','Roles::fetch_admin');  
$routes->get('fetch-apm','Roles::fetch_apm');  
$routes->get('fetch-supervisor','Roles::fetch_supervisor');  
$routes->post('add-roles-creation','Roles::add_roles_creation');     
   


$routes->post('add-employee','Employee::add_employee');                   



